;*******************************************************************
;  Blinking LED
;
;  hardware: PIC12F675
;
;  author: Andrzej Okrutny
;          www.anok.ceti.pl
;*******************************************************************
;


include "P12F675.INC"


delayCnt0	equ	20h
delayCnt1	equ	21h



;*******************************************************************
;   Main
;
;*******************************************************************
;    Program starts here
;
     ORG  0000                     ; Start at 0
;

Start

	bcf       STATUS,RP0     ;
          
	clrf	GPIO
	movlw	07h
	movwf	CMCON

	bsf	STATUS, RP0

	clrf	ANSEL

	movlw	~(1<<2)		; GPIO2 as OUT for LED control
		
	movwf	TRISIO


	bcf       STATUS,RP0     ;



loop	movlw	(1<<2)
	xorwf	GPIO,1		; change pin state

	movlw	0f0h
	call	Delay

	goto	loop	




;*******
;
;*******

Delay	
	movwf	delayCnt1	

delayLoop

	clrf	delayCnt0

delayInnerLoop

	decfsz	delayCnt0,1
	goto	delayInnerLoop

	decfsz	delayCnt1,1
	goto	delayLoop
		
	return


     END
